classification
Title: Add "eu#" parser marker
Type: enhancement Stage:
Components: Unicode Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: lemburg Nosy List: georg.brandl, lemburg, loewis
Priority: low Keywords:

Created on 2002-02-07 21:39 by lemburg, last changed 2007-08-23 19:04 by georg.brandl. This issue is now closed.

Messages (3)
msg53471 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2002-02-07 21:39
As requested by Jack Janssen:
"""
Recently, "M.-A. Lemburg" <mal@lemburg.com> said:
> How about this: we add a wchar_t codec to Python and the "eu#" parser
> marker. Then you could write:
> 
>       wchar_t value = NULL;
>       int len = 0;
>       if (PyArg_ParseTuple(tuple, "eu#", "wchar_t", &value, &len) < 0)
>                 return NULL;

I like it!
"""

The parser marker should return Py_UNICODE* instead of char* and work much like "et#" does now for 
strings.
msg53472 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2002-02-17 00:11
Logged In: YES 
user_id=21627

Because of the memory management issues, I don't think
having such a feature is desirable.
msg55182 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 19:04
I guess this can be closed in the light of Py3k.
History
Date User Action Args
2007-08-23 19:04:24georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
messages: + msg55182
2002-02-07 21:39:14lemburgcreate